# Module Cart2Cart MigrationToMagento

      magneticone/module-migration-to-magento

- [Main Functionalities](#markdown-header-main-functionalities)
- [Installation](#markdown-header-installation)
- [Configuration](#markdown-header-configuration)
- [Specifications](#markdown-header-specifications)
- [Attributes](#markdown-header-attributes)


## Main Functionalities
Cart2Cart: Migration to Magento 2 extension allows to automatically transfer eCommerce data like products, customers, orders, etc. to Magento 2 without affecting the performance or speed of the current store. Via its intuitive interface, you'll be able to provide your current and new stores’ details (to enable data exchange between them), choose the data types to transfer - and the Cart2Cart: Migration to Magento 2 extension will handle the migration.

The automated 3-step migration setup is non-techie friendly and requires no complex manipulations. There is a Free Demo available to see how your store data will look on the new store before proceeding with the Full migration.

## Installation
\* = in production please use the `--keep-generated` option

### Type 1: Zip file

- Unzip the zip file in `app/code/Cart2Cart/MigrationToMagento/`
- Enable the module by running `php bin/magento module:enable Cart2Cart_MigrationToMagento`
- Apply database updates by running `php bin/magento setup:upgrade`
- Flush the cache by running `php bin/magento cache:flush`
- `php -f bin/magento setup:di:compile` *(this command may require increasing memory_limit php directive)*

### Type 2: Composer

- Make the module available in a composer repository for example:
   - private repository `repo.magento.com`
   - public repository `packagist.org`
   - public GitHub repository as VCS
- Add the composer repository to the configuration by running `composer config repositories.repo.magento.com composer https://repo.magento.com/`
- Install the module composer by running `composer require magneticone/module-migration-to-magento`
- Enable the module by running `php bin/magento module:enable Cart2Cart_MigrationToMagento`
- Apply database updates by running `php bin/magento setup:upgrade`
- Flush the cache by running `php bin/magento cache:flush`
- `php -f bin/magento setup:di:compile` *(this command may require increasing memory_limit php directive)*

## Configuration




## Specifications




## Attributes


